ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Tc.Errors.Ppr

Contents

- Orphan instances

# Documentation

pprTypeDoesNotHaveFixedRuntimeRep :: Type -> FixedRuntimeRepProvenance -> SDoc Source #

pprScopeError :: RdrName -> NotInScopeError -> SDoc Source #

tidySkolemInfo :: TidyEnv -> SkolemInfo -> SkolemInfo Source #

tidySkolemInfoAnon :: TidyEnv -> SkolemInfoAnon -> SkolemInfoAnon Source #

pprHsDocContext :: HsDocContext -> SDoc Source #

inHsDocContext :: HsDocContext -> SDoc Source #

data TcRnMessageOpts Source #

Constructors

TcRnMessageOpts |

Fields

- tcOptsShowContext :: !Bool

  Whether we show the error context or not

# Orphan instances

Diagnostic TcRnMessage Source # |

Instance details

Associated Types

type DiagnosticOpts TcRnMessage Source #

Methods

defaultDiagnosticOpts :: DiagnosticOpts TcRnMessage Source #

diagnosticMessage :: DiagnosticOpts TcRnMessage -> TcRnMessage -> DecoratedSDoc Source #

diagnosticReason :: TcRnMessage -> DiagnosticReason Source #

diagnosticHints :: TcRnMessage -> [GhcHint] Source #

diagnosticCode :: TcRnMessage -> Maybe DiagnosticCode Source #

Outputable ImportError Source # |
Instance details Methods ppr :: ImportError -> SDoc Source #
Outputable SolverReportErrCtxt Source # |
Instance details Methods ppr :: SolverReportErrCtxt -> SDoc Source #